更新履歴
つんでれんこ(夏)
* 1 Apr 2011 こ〜りん <kourindrug@gmail.com>
- (2.69)
- 特定のコーデックの動画をドロップすると、エラーレポート作成時点で落ちるバグの修正
- デフォルトの解像度修正

* 1 Apr 2011 こ〜りん <kourindrug@gmail.com>
- (2.68a)
- 縦横の解像度が4の倍数ではない時は警告を出すようにした
- 修造れんこのmessage.batを使用した際、最初に警告が出る問題の修正

* 31 Mar 2011 こ〜りん <kourindrug@gmail.com>
- (2.68)
- 設定の保存にバグがあったので修正

* 30 Mar 2011 こ〜りん <kourindrug@gmail.com>
- (2.67)
- x264の更新(1924)
- 元動画のあるフォルダが書き込み可能であれば、ffmpegで解析する時を含め動画をキャッシュしないように変更
- 音量調整機能を追加
- エラーリポート用のファイルを作成するようにした (成功したら削除)
- おまけスクリプト修正(mjepgを出力するように変更)
- 3つのデコーダー全部で解析に失敗したら、mjpegへの変換を試みる機能を追加
- ファイル形式の変換を行った場合は、変換後のファイルをMP4フォルダにコピーし、その旨を表示するように
- 不要なコードの整理

* 28 Mar 2011 こ〜りん <kourindrug@gmail.com>
- (2.66a)
- FFmpegSourceを2.14に戻す。(一部のflvなどで解析に失敗するため)
s
* 6 Mar 2011 こ〜りん <kourindrug@gmail.com>
- (2.66)
- デコーダーにaviやdirectshowを指定したときに失敗するバグの修正
- 連続エンコードでデコーダーにffmpeg以外を使用した場合に失敗するバグの修正
- 無音の動画のみをドロップし、音声ビットレートの質問にaと答えると落ちる問題の修正
- 連続エンコード以外の場合も、処理しているファイル名を最初に表示するように変更
- avisynth_258.exeダウンロード用スクリプトを同梱

* 28 Feb 2011 こ〜りん <kourindrug@gmail.com>
- (2.65)
- x264の更新(1913)
- 動画の解析にaviやdirectshowを指定した時に解析に失敗するバグの修正

* 18 Feb 2011 こ〜りん <kourindrug@gmail.com>
- (2.64)
- FFmpegSourceの更新(2.15)
- 動画の解析に失敗した時のメッセージが表示されないバグの修正
- 動画の解析に失敗したら、自動で他のデコーダーを試すように変更
- 連結エンコードの際、aを選べない旨の注意が表示されていなかった問題の修正
- ファイル名に空白を含む時に無音になる問題の修正
- ファイル名中の空白を_に置換するように変更
- 連結エンコード時のソート機能の強化 (GNU sortを使うように変更) (thx to 順三朗P)

* 10 Feb 2011 こ〜りん <kourindrug@gmail.com>
- (2.63)
- x264の更新(1900)
- mp4のエコノミー回避条件変更に対応
- 連結エンコードのバグ修正
- avsとnvv関連の修正
- 音声ビットレートを読み込みファイルと同じにする処理の修正
- FLVなどでビデオコーデックが取得できていなかった問題の修正
- 解析時、wavを一緒にドロップした場合は、wavの情報を表示するように変更
- QuickTimeもneroAacEnc.exeも無い場合は、無音になる旨の注意を表示するように変更
- neroAacEnc.exeが無い場合は、音ズレ修正ができないことを表示するように変更
- 上の2つの場合、neroAacEnc.exeをダウンロードする機能を追加
- 音声ソースとして、wavだけでなくmp3も使えるように。
- wavファイルの作成をwaviで行うか、ffmpegで行なうか選べるように変更 (1ファイルのエンコード時のみ)
- 静止画+mp3のエンコードの際、vp6vfw.dllがインストール済み、かつ、mp3が一定サイズ以下の場合flvにするように変更。
  (vp6vfw.dllがなかったり、mp3ファイルが大きかったり、静止画+wavだったりした場合は、従来通りmp4に)

* 5 Jan 2011 こ〜りん <kourindrug@gmail.com>
- (2.62)
- x264の更新(1834)
- 設定の保存オプションの追加
- 画像+wavで作った動画の冒頭がスキップされる場合、mux.batの28行目のFPS=1 を 5にすると最初から始まりますが、絵が動きます。
  VP6にすればうまく行くようですが、まだ未対応。
- 音声ビットレートを読み込みファイルと同じに出来るようにした。（エコノミー回避しない場合のみ）
  （※320Kbpsを超える場合は320Kbpsになります。）(ハクリエルさん<http://hacriel.blog12.fc2.com/>版2.51aよりマージ)
- エンコード終了後に開くページに動画のアドレスを記載した。(ハクリエルさん<http://hacriel.blog12.fc2.com/>版2.51aよりマージ)

* 9 Dec 2010 こ〜りん <kourindrug@gmail.com>
- (2.61)
- x264の更新(1820)
- Mediainfoの更新(0.7.37)
- qtaacencの更新(20101119)
- 7zipの更新 (9.20)

* 15 Nov 2010 こ〜りん <kourindrug@gmail.com>
- (2.60)
- x264の更新(1772)
- qtaacenc.exeの配布サイト移転に対応

* 11 Nov 2010 こ〜りん <kourindrug@gmail.com>
- (2.59)
- Mediainfoの更新(0.7.36)

* 11 Nov 2010 こ〜りん <kourindrug@gmail.com>
- (2.58)
- x264の更新(1766)
- default_setting.batの修正
- DEFAULT_SIZE_PREMIUMを100MB以上に設定した際のファイルサイズチェックの修正

* 07 Nov 2010 こ〜りん <kourindrug@gmail.com>
- (2.57.1)
- neroAacEncの導入時、default_config.batの書き換えに使うdllが不足していた問題対応
  (liviconv2.dll、libintl3.dll、pcre.dllを同梱)

* 23 Oct 2010 こ〜りん <kourindrug@gmail.com>
- (2.57)
- x264 の更新(1745)
- FFmpegSourceの更新(2.14)
- Mediainfoの更新(0.7.35)
- MP4Box の更新 (【ニコニコ動画】FLV/MP4エンコードスレ 51【質問】http://hibari.2ch.net/test/read.cgi/streaming/1277915374/454 )
- neroAacEncの自動ダウンロード機能再装。それに伴い、curl.exe (7.21.2)、sed.exe、regelx.dllを同梱

* 25 Aug 2010 こ〜りん <kourindrug@gmail.com>
- (2.56)
- でれでれんこと修造れんこ用message.batを収録 (ともにルノレ氏<http://twitter.com/Runole/>作
- x264 の更新

* 31 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.55)
- オートリサイズの強化(16：9の自動判別)

* 31 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.54)
- message.bat の修正
- MP4Box を2.51以前のものに戻す
- x264 の更新
- qtaacenc.exe の更新

* 26 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.53)
- アンインストール.bat のバグ修正 (ハクリエルさん<http://hacriel.blog12.fc2.com/>版よりマージ)

* 26 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.52)
- 16:9 動画向けメッセージの追加
- nero のライセンス表記
- MP4Box の更新 (【ニコニコ動画】FLV/MP4エンコードスレ 51【質問】http://pc12.2ch.net/test/read.cgi/streaming/1277915374/136 )

* 25 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.51)
- ドキュメントのアップデート
- 7zip.exe、curl.exeおよび、不要な.batを削除

* 24 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.50.004)
- FFmpegSource2のアップデート。
- MediaInfoがちゃんとアップデートできていなかったので修正
- 無音ファイルをあらかじめ用意する形に変更

* 24 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.50.003)
- FFmpegSource2がエラーしていたので巻き戻し。

* 24 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.50.002)
- x264、MediaInfo、DirectShowSource、FFmpegSource2のアップデート。
- nero以外のツールを同梱
- デフォルトの音声エンコーダをneroからqtaacに

* 24 Jul 2010 こ〜りん <kourindrug@gmail.com>
- (2.50.001)
- つんでれんこについて語るスレ の>>815 のx64用パッチ適用
  http://dic.nicovideo.jp/b/a/%E3%81%A4%E3%82%93%E3%81%A7%E3%82%8C%E3%82%93%E3%81%93/811-#815
  
つんでれんこ by 窓屋
2.40(10/05/13)
■FFMpegSourceのバージョンを2.00b10に戻す
■一部の処理で、プロセスが進行していることを表示
■自動バージョンチェック機能の設定をデフォルトでfalseに
■その他細かい修正

2.39(10/05/06)
■x264更新
■MediaInfo更新
■解像度が奇数のとき、偶数になるようにクロップするように変更
■自動リサイズに関するバグを修正（リサイザもついでに変更）
■その他細かい修正

2.38(10/04/30)
■x264更新
■VFRの動画に対応（今までは適当に誤魔化していました（笑
■一部動画の音声デコードを変更（2.37で反映し忘れてたorz）
■その他細かい修正

2.37(10/04/29)
■x264更新
■台詞を差し替え可能に
■連番AVI連結機能のバグ修正
■一部動画の音声デコードを変更（FFMpegSourceのバグ修正版正式リリース待ち）

2.36(10/04/15)
■プリセット更新（バージョン11、不具合解消、プリセットx追加）
■MediaInfoの更新

2.35(10/04/12)
■x264の更新
■プリセット更新（バージョン10、バランスと速度重視を若干高速化）
■MP4Boxの更新（ついでにMUXオプションを少し調整）
■音声エンコードの方法をを若干変更（パイプ処理を廃止）
■起動時の挙動を若干変更（tool_url.bat関係）

2.34(10/03/28)
■x264の更新
■プリセット更新（バージョン９）
■画像＆WAVモードでリサイズが効かなくなっていたバグを修正
■動画＆WAVモードで一部の動画形式の場合解析に失敗するバグを修正
■連続エンコモードの音声処理のバグを修正
■ムービーチェックの有無を選択可に（default_setting.batで）
■音声処理を若干変更
■colormatrix関係の処理を追加

2.33(10/03/20)
■x264の更新
■x264のオプションを更新
■MP4Boxの更新
■FFMpegSourceの更新
■MediaInfoの更新（サーバの転送量節約のため同梱も解除）
■qtaacenc更新（ついでにQuickTimeで低ビットレートでのエンコで?heを指定）
■neroAacEnc更新
■音声エンコードを微修正（上記更新の影響）
■D&Dされたものがファイルかフォルダかの判定方法を変更
■プレイヤーの起動バッチ微修正（'をファイル名に含む場合のバグ修正）
■分割AVIのファイル名にスペースが入っても大丈夫なように修正
■一部ファイルで連続エンコードができないバグを修正
■画像＆音声のエンコードのバグ修正（プリセット変更の反映し忘れ）
■３パス判定を若干修正
■ダウンローダをcurlに変更（.Net Framework依存解消）
■解像度の処理を修正（質問時に直接数値での指定を可能に）
■コードをかなり整理

2.32 (10/02/12)
■強制3パスエンコードのバグ修正
■連続エンコードモードのバグ修正
■分割AVI連結機能実装（使い方はサイトの「つかいかた」を「熟読」してください）
■MP4Boxの更新（ついでに音ズレ修正をコンテナ規格ではなくプレイヤー側の挙動に合わせた）
■MediaInfoの更新（配布形式も変更）
■DevILの配布形式を変更
■qtaacencの更新
■プレイヤー起動バッチ微修正
■エンコード後に自動でブラウザチェックを起動するように変更
■その他細かいバグ修正

2.31 (10/02/07)
■音声エンコでqtaacencを選択可能に（QuickTime7.6.5以降必須、default_setting.batを編集して使用）
■その他もろもろの微修正

2.30 (10/02/06)
■もろもろバグフィクス
■x264.nlのサーバダウンに対応

2.29 (10/02/06)
■プリセットを更新（バージョン6に移行）
■プリセットをダウンロードして上書きする形式から、選択する形式に変更
■ファイルの出力先を指定可能に（default_setting.bat）
■デコーダを指定可能に（default_setting.bat）
■音ズレ処理機能強化（default_setting.bat、自動・手動・無効を指定可能に）
■b-pyramidのサポート再開
■その他x264のオプションを自由に指定できる項目を追加
■NeroAacEncのバージョンアップに対応
■x264のリビジョンを固定（x264の更新チェック機能廃止）
■特定の条件でtool_url.batが消えるバグを修正
■DVフォーマットをFFMpegSourceでデコードするように変更（音ズレ対策）
■エンコ終了後に自動シャットダウンする機能実装
■エンコ終了後MP4フォルダを開くように（自動シャットダウン機能が有効だと機能しません）
■nvvサポートを停止（seraphy氏版warpsharp.dllをtoolフォルダに入れれば一応使えます）
■ほとんど機能していなかったエラーログ機能を削除
■低再生負荷エンコード設定が上手く反映されないバグを修正
■色空間変換を微修正
■プレアカ用エンコの最大ビットレートに関するバグを修正
■MP4フォルダに簡易プレイヤー起動バッチ同梱（作成に際しアドバイスを下さったcocoonPに感謝）
■コードの重複などを大幅に整理

2.28 (09/12/19)
■AVIとWAVのMUXができないバグを修正
■一般アカ用のエコ回避モードのバグを修正
■NVVファイルのエンコードのスクリプトの微修正
■DVフォーマットとDxtoryフォーマットに仮対応
■その他テキストの微修正

2.27 (09/12/07)
■プリセットバージョンチェック機能の修正
■AVIのデコードに失敗した時ループになるバグ修正
■MUXモード（音声差し替え）のバグ修正
■その他テキストの微修正

2.26 (09/12/06)
■x264の更新
■x264のバージョンチェック機能の修正
■質問スキップ機能のバグ修正
■エコ回避の条件分岐のバグ修正
■WMVやMP4でのデコード処理を強化

2.25 (09/12/05)
■MUXモード（音声差し替え）のバグ修正
■連続エンコモードで3パス判定がうまく行かないバグを修正
■質問の順番を変更・条件分岐を強化
■プレアカ用のエンコのときに上限を超えてビットレートを指定できてしまうバグを修正
■ツールのチェックのときにx264のエラーが表示されていた問題を解決

2.24 (09/12/02)
■x264のバージョンチェックを分離(x264のみの更新機能実装)
■AVSファイルの処理方法の修正

2.23 (09/12/01)
■x264の更新
■x264のバージョンチェックを若干修正
■プレアカエンコの場合、高解像度かつ高FPSについての警告を出すように変更
■動画情報取得部分の微修正
■weightpのサポートを一時的に停止(FlashPlayer10.1対応待ち)

2.22 (09/11/28)
■x264の更新
■一般アカ用のエンコでx264の設定が読めないくなるバグの修正(2.20のバグ)
■ツールダウンロード時に最新のURLを反映しなくなっていたので修正(大した影響はない)

2.21 (09/11/27)
■AVIの音声が正常にエンコードされない問題に対処(2.20のバグ)
■更新チェック時に特定バージョンをスキップできる機能を実装
■変数の整理
■誤植修正

2.20 (09/11/26)
■x264.exeの更新
■MediaInfo.exeの更新
■プリセット更新(?weightp実装、いくつかの質問スキップ機能の追加)
■プレアカかつ非エコ回避のときのみ低再生負荷エンコードの質問をするように変更
■AVSファイルの動画情報取得方法の微修正(無駄なデコード処理の削除)
■NVVファイルの動画情報取得方法の微修正(無駄なデコード処理の削除)
■MP4Boxの差し替え(muken氏ビルド版に変更)
■Avisynthが正常に動かないとき、対処法を表示するよう変更(主にWindows7、64bitOS向け)
■他に細かなバグ修正

2.19 (09/10/29)
■ニコニコ動画(9)に対応(プレアカのときはビットレート上限を決める質問を表示)
■一部動画の音声デコードをFFAudioSourceに変更
■プリセットが古いとき、警告なしにウィンドウが閉じてしまう問題を修正
■x264.exeの更新
■プリセットの更新(低デコード負荷オプション(low_decode.bat)を作成)
■エコ回避以外のときは低再生負荷エンコードをするか質問

2.18 (09/10/24)
■エンコード後に一時ファイルが正常に削除されないバグを修正
■FFMpegSourceを使用する際の挙動を変更(インデックス作成のスキップ)
■解像度のバグ修正
■64bitOSでavisynth.dllファイルの検索がうまく機能しない問題を修正

2.17 (09/10/22)
■x264.exeの更新
■上記の更新によりb-pyramidのサポートを一時的に停止(次回プリセット更新まで)
■動画の分析方法を若干変更(一時ファイルの削減)
■一部動画で連続エンコードがうまくいかないバグを修正
■アスペクト比の処理方法を変更
■音声デコーダを変更(音声がエンコードされない問題への対処)
■AVSファイルの処理方法の変更
■AACエンコードのプロファイル選択の微修正
■コードの整理

2.16 (09/10/18)
■一部動画で音声がエンコードされないバグを修正(FFMpegSourceの仕様変更)
■プリセット更新(画質超重視のパスの設定ミス修正)
■一般アカかつエコ回避を選択したときに強制終了するバグを修正
■AACエンコードのプロファイルを指定できるように変更(default_setting.batを編集)
■フルレンジ対応(default_setting.batを編集)
■movをサポート(実験的です。情報お待ちしています)
■不要な音声処理の削除
■映像エンコードが失敗したときにも音声エンコードに進んでしまうバグの修正

2.15 (09/10/17)
■容量の大きいWMV、MP4等でインデックスが作成されないバグを修正
■FFMpegSourceでのインデックス作成をffmsindex.exeに変更(インストーラも更新)
■バッチやテキストなどの整理(typoなど)

2.14 (09/10/17)
■SourceForgeサーバを変更
■x264.exeファイルのチェックの簡略化
■x264.exeの更新
■x264のオプションを更新
■プリセット更新(速度重視、画質超重視のデフォルトをそれぞれ1パス強制、パス数自動判定に、等)
■起動時にプリセットのバージョンを確認するように変更
■MediaInfo.exeとyadif.dllを更新
■レジストリチェックの簡略化(バッチも分離)
■findコマンド使用の際のバグを再修正(findstrに置き換え)
■ダウンローダ更新
■NVVファイルのサポートを再開(いくつかのファイルを同梱。ライセンス文の修正)
■一部のコーデックで音ズレする問題に対処(したつもり)
■起動バッチを統合(連続エンコバッチとWAVとのMUXバッチの削除)
■画像と音声のMUXのバグ修正(解像度関連)
■画像音声MUXと動画音声MUXのバッチの統合
■AVSファイル出力の高速化
■不必要な色空間変換の削除(高速化)
■FFMpegSourceが日本語名のファイルに非対応の問題に対処(テンポラリファイルを作成してエラー回避)
■全角のスペースが使われている場合に対処法を表示するように変更
■ビットレートオーバーの判定をより正確なものに変更
■リサイズフィルタの変更(高速化)
■MP4フォルダに既に同名ファイルがあった場合、以前のものをold.mp4としてバックアップするように変更
■インターレース処理の修正(MBAFF)

2.13 (09/09/26)
■SourceForgeサーバ移転に対応
■MediaInfo.exeとyadif.dllを更新
■x264.exeを更新(2pass突入時に落ちるバグもこれで修正されるかもしれません)
■7zipとMP4Boxの配布形式を変更(ライセンス文の修正も含む)
■findコマンド使用の際のバグ修正(findstrに置き換え)
■ダウンローダ変更(ダウンロードに失敗した際に異常終了するため)
■ツール類のダウンロード失敗時に無限ループするバグの修正
■ツール類のダウンロードURLの設定方法を変更
■ツール類を正常にダウンロードできたかチェックする機能実装
■インストーラの挙動を微修正
■エンコードの開始時にすべてのツール類が揃っているか確認するよう変更
■対応ファイル形式かどうかのチェック方法を微修正
■バッチ整理

2.12 (09/08/19)
■SourceForgeサーバ移転に対応
■MediaInfo.exeとyadif.dllとx264.exeを更新
■音ズレに関して若干の微調整

2.11 (09/08/13)
■FFMpegSourceの鯖が不安定なときは別鯖(GoogleCode)から落とすようにダウンロードスクリプトを変更
■起動時にネットに繋がってない場合は自動更新チェックをオフにするように警告するよう仕様変更
■プリセットaとfを使用したときに不正落ちするバグを修正(プリセットの更新ではなく本体の修正)
■連続エンコードの際にバージョンチェック・エンコードが正常に行われないバグを修正

2.10 (09/08/12)
■FFMpegSourceのリンク切れを解消(バージョンアップ)
■配布形式を変更(本体とプリセットを別に配布)
■x264のオプションを変更(速度超重視は強制1passをデフォルトに、等)
■バッチスクリプトの微修正

2.09 (09/08/11)
■強制3passモードのバグ修正
■ダウンロードスクリプトのバグ修正
■バージョンチェック方法を変更
■バッチスクリプトの整理

2.08 (09/08/10)
■強制3passモードのバグ修正
■自動更新チェック機能の挙動を変更
■MP4のサイズ指定で大きい数値を割り当てると起きるバグを修正

2.07 (09/08/10)
■自動更新チェックのバグ修正
■バッチの修正

2.06 (09/08/10)
■強制1pass2passモードのバグ修正
■映像と音声のMUX機能のバグ修正

2.05 (09/08/10)
■配布場所を変更(ホームページ開設)
■自動更新チェック機能実装
■ダウンローダを変更
■強制的にパス数を設定できるように変更
■x264を更新
■x264のオプションを更新(1passのオプションをx264のデフォルトに設定、?no-mbtree追加、など)

2.04 (09/07/28)
■ダウンロードスクリプトの挙動を若干変更
■x264を更新
■x264のオプションを更新(?me-prepass廃止、?no-deblock使用を可能に、など)
■テキスト等の誤植を修正

2.03 (09/07/27)
■x264のバイナリをx264.nlから取得するように変更
■x264を更新
■x264のオプションを更新
■細かいバグフィクス

2.02 (09/07/27)
■上限ビットレートを変更(プレアカ1000kbps、一般アカ600kbps、エコ回避230kbps)
■上限ファイル容量を変更できるように仕様変更(ファイル容量オーバー対策)
■映像ファイルと音声ファイルを同時にドラッグ＆ドロップできるバッチを追加
■デインターレーサを変更
■ダウンロードスクリプトとインストールスクリプトの挙動を若干変更
■エンコ終了時にMP4の情報を表示するように仕様変更
■WAV以外の音声フォーマットのサポートを停止
■AVSファイルがエンコできないバグを修正
■音声ファイルのデコーダを一部変更

2.01 (09/07/22)
■ffmpegsourceの配布場所変更に対応
■連続エンコードモードのバグ修正
■書類関係の不備修正(ダウンロード場所等)

2.00 (09/07/21)
■初回起動時にインストーラを起動するように仕様変更
■一部の環境でx264が異常終了する問題に対処
■音声ビットレートを0kbpsに指定したときにエンコが異常終了するバグを修正
■設定確認時のバグを修正
■x264を更新
■x264のオプションを更新
■ライセンス明記

バージョン１系
1.03 (09/07/19)
■緊急バグフィクス(BGM作成モードのバグ)
■音声のデコード方式を変更
■依存関係がなくなったツール類の削除＆スクリプト整理

1.02 (09/07/18)
■緊急バグフィクス(silence.exeのバグ)

1.01 (09/07/18)
■FPS変換機能追加
■エンコ後の動画の容量上限を100MBと40MBから99.4MBと39.7MBに変更
■NVVファイルとSWFファイルのサポートを停止(音ズレ等のサポートに限界があるため)

1.00 (09/07/14)
■一般公開
■使い方解説動画を作成
■音ズレ対策の方法を変更

1.00β (09/07/11)
■もろもろのバグ修正
■WAV作成方法を変更

1.00α (09/07/10)
■アンインストーラ(レジストリ削除)
■質問スキップ機能実装
■連続エンコード機能実装

バージョン０系
0.30 (09/07/07)
■NVV読み込みのバグを修正
■ソース読み込みの際の色空間の処理の変更
■x264の更新
■x264のオプション変更

0.29 (09/07/06)
■質問をもう少しわかりやすくしたり、色々微修正
■NVVとSWFファイルに対応

0.28 (09/07/04)
■x264をMixAQ版からOreAQ版に変更
■無音ファイルのエンコのときに、ビットレートを指定しないとエラーになるバグを修正

0.27 (09/07/04)
■AVSファイルのエンコードを他から分離(0.23のときからのバグに対処)
■対応音声ファイルの増加(ac3、dts、mp2、mp3、lpcm、w64、bwf、rf64、au、aiff、caf)
■色空間変換の修正

0.26 (09/07/03)
■画像ファイルと音声ファイルから動画を作れる機能を実装
■バッチファイルの組み直し

0.25 (09/07/02)
■MediaInfo.exeがうまく動かないバグを修正
■インターレース解除機能を実装
■目的解像度を弄れる機能を実装(default_setting.batの修正)
■DirectShowSource.dllの更新
■レジストリファイルを更新

0.24 (09/07/01)
■解像度の設定で縦横双方が４の倍数になるように設定
■MediaInfo.exeを更新
■MP4Box.exeを更新

0.23 (09/06/29)
■可変フレームレート動画に対応
■上限ビットレートを守らないことがあるので、少し上限を制限
■エンコ中に作成される一時ファイルの数が少なく済むようにスクリプト変更

0.22 (09/06/29)
■無圧縮AVIの音声がきちんとエンコードされないバグを修正

0.21 (09/06/29)
■AVSファイルに対応
■x264のオプション変更

0.20 (09/06/28)
■MPEGなど、様々なフォーマットの動画に対応

0.19 (09/06/26)
■音声のデコーダーを変更(一部の動画で音声が読み込めなかった問題への対処)

0.18 (09/06/26)
■AVIのエンコのときに音声がエンコードされないバグを再修正
■MP4の容量チェックで、エンコ作業が固まるときがあるバグを修正

0.17 (09/06/25)
■レジストリの設定の修正
■AVIのエンコのときに音声がエンコードされないバグを修正(0.14のときからのバグ？)
■high.batとlow.batの整理

0.16 (09/06/25)
■2passで映像ビットレートがオーバーしたとき、自動で3passに入るように変更
■x264を更新(r1171)
■DevIL.dllを更新

0.15 (09/06/23)
■2passで映像ビットレートが収まらなかったときの挙動を変更(ビットレート調整)
■エンコードの最後にMP4のファイル容量のチェックする機能実装

0.14 (09/06/23)
■無音AVIをエンコする際にエラーになるバグを修正(0.12のときからのバグ？)

0.13 (09/06/21)
■異常終了したときに残る一時ファイルを削除してからエンコを開始するように変更
■x264のオプション設定にミスがあったので修正(本当に申し訳ありませんでしたorz)

0.12 (09/06/21)
■非対応ファイルのときにきちんとバッチが終了するように変更
■音声ビットレート指定の際の挙動を若干修正

0.11 (09/06/20)
■無音エンコード実装
■1pass高速化機能実装
■x264のオプション変更

0.10 (09/06/20)
■ひとまず作成